Subject: Enable lower case URLs
Description

Currently FLOW3s routing mechanism is case sensitive. As All Packages and Controller start with an upper case letter, this leads to
URLs like
http://domain/MyPackage/MyController/Default
which is rather confusing.

Although upper case letters are supported in URLs (after the host part that is), we decided to go with lower case URLs for now as it's
common practice.
When needed we'll add some configuration option to re-enable case sensitive URLs globally or on a route(part) basis.

Related issues:
related to TYPO3.Flow - Feature # 2237: URLs can only be lowercase Resolved 2008-11-27

Associated revisions
Revision db19a41c - 2008-08-11 21:03 - Robert Lemke

    -  FLOW3: (MVC) Implemented support for case insensitve URLs. The package key and controller component name can now be any case, the
action name must still be studly caps (like the action method name). Resolves #1253.
    -  FLOW3: (Package) Added new method getCaseSensitivePackageKey() to the package manager
    -  FLOW3: (Session) Exceptions which occur during session_write are now converted into FLOW3 exceptions
    -  TYPO3: Added some helpful output to the different controller stubs and adapted the routes configuration to the recent changes in the MVC
routing.

History
#1 - 2008-08-11 18:37 - Bastian Waidelich
- Assigned To changed from Bastian Waidelich to Robert Lemke

#2 - 2008-08-11 21:55 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1121.
